extends Node2D

var thread = Thread.new()

var res_names = ["res://res/false.png", "res://res/true.png", "res://res/false_2.png"]
var res_count = 0

# This function runs in a thread!
# Threads always take one userdata argument
func _bg_load(path):
	print("THREAD FUNC!")
	# Load the resource
	var tex = ResourceLoader.load(path)
	# Call _bg_load_done on main thread
	call_deferred("_bg_load_done")
	return tex # return it


func _bg_load_done():
	# Wait for the thread to complete, get the returned value
	var tex = thread.wait_to_finish()
	# Set to the sprite
	get_node("Sprite_"+str(res_count)).set_texture(tex)
	
	if res_count < 2:
		res_count += 1
		load_res(res_names[res_count])
	

func load_res(res_name):
	#print(res_name)
	if thread.is_active():
		# Already working
		return
	print("START THREAD!")
	#thread.start(self, "_bg_load", "res://mona.png")
	thread.start(self, "_bg_load", res_name)

func _on_load_pressed():
	#for i in range(0, res_names.size()):
		#print(res_names[i])
	load_res(res_names[res_count])
	

